// _GestionPrimes_Interface.java
// Created on 11 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.gui.swapviews;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionSwapViewSyntheseCarriereCIR_Interface extends COFrame {

    /** Creates new form _GestionPrimes_Interface */
    public _GestionSwapViewSyntheseCarriereCIR_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupCorps = new org.cocktail.component.CODisplayGroup();
        displayGroupGrade = new org.cocktail.component.CODisplayGroup();
        displayGroupPopulation = new org.cocktail.component.CODisplayGroup();
        displayGroupTypeContrat = new org.cocktail.component.CODisplayGroup();
        displayGroupFonction = new org.cocktail.component.CODisplayGroup();
        displayGroupStructure = new org.cocktail.component.CODisplayGroup();
        displayGroupPrimes = new org.cocktail.component.CODisplayGroup();
        swapView = new javax.swing.JPanel();

        displayGroup.setEntityName("PrimeAttribution");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupCorps.setEntityName("Corps");

        displayGroupGrade.setEntityName("Grade");

        displayGroupPopulation.setEntityName("TypePopulation");

        displayGroupTypeContrat.setEntityName("TypeContratTravail");

        displayGroupFonction.setEntityName("Association");

        displayGroupStructure.setEntityName("StructureUlr");

        displayGroupPrimes.setEntityName("Prime");

        setControllerClassName("org.cocktail.mangue.client.primes.GestionPrimes");
        setSize(new java.awt.Dimension(856, 657));

        swapView.setLayout(new java.awt.CardLayout());

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(swapView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 735, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(swapView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 674, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroup displayGroupCorps;
    public org.cocktail.component.CODisplayGroup displayGroupFonction;
    public org.cocktail.component.CODisplayGroup displayGroupGrade;
    public org.cocktail.component.CODisplayGroup displayGroupPopulation;
    public org.cocktail.component.CODisplayGroup displayGroupPrimes;
    public org.cocktail.component.CODisplayGroup displayGroupStructure;
    public org.cocktail.component.CODisplayGroup displayGroupTypeContrat;
    public javax.swing.JPanel swapView;
    // End of variables declaration//GEN-END:variables
                  

}
